javax.enterprise.inject.spi

## Interface ProcessSessionBean<X>

- Type Parameters:
    `X` -
  All Superinterfaces:
    ProcessBean<Object>, ProcessManagedBean<Object>

      public interface ProcessSessionBean<X>
      extends ProcessManagedBean<Object>

  The container fires an event of this type for each enabled session bean, before registering the `Bean` object.

  If any observer method of a `ProcessSessionBean` event throws an exception, the exception is treated as a definition error by the container.

  Note that the type parameter of the super-interface of `ProcessSessionBean` is `Object` as `ProcessBean` allows you access to the `Bean`, which in turn allows you to instantiate an instance, which, for interface-view EJBs will not be an instance of X.

  Author:
    David Allen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEjbName()` Returns the EJB name of the session bean.
    `SessionBeanType` | `getSessionBeanType()` Returns a `SessionBeanType` representing the kind of session bean.

    - ### Methods inherited from interface javax.enterprise.inject.spi.ProcessManagedBean

      `getAnnotatedBeanClass`

    - ### Methods inherited from interface javax.enterprise.inject.spi.ProcessBean

      `addDefinitionError, getAnnotated, getBean`

- - ### Method Detail

    - #### getEjbName

          String getEjbName()

      Returns the EJB name of the session bean.
      Returns:
        the name of the EJB
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

    - #### getSessionBeanType

          SessionBeanType getSessionBeanType()

      Returns a `SessionBeanType` representing the kind of session bean.
      Returns:
        the `SessionBeanType`
      Throws:
        `IllegalStateException` - if called outside of the observer method invocation

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.